Issue1348

classification
Title: muti-threaded issue, maybe threads cannot exit
Type: Severity: normal
Components: Core Versions: 25rc4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: otmarhumbel Nosy List: fwierzbicki, julyzergcn, otmarhumbel, pjenvey, zyasoft
Priority: high Keywords:

Created on 2009-05-14.05:10:33 by julyzergcn, last changed 2009-05-20.06:04:54 by otmarhumbel.

Files
File name Uploaded Description Edit Remove
thrd.py julyzergcn, 2009-05-14.05:10:19 a test on muti-threaded funcitons
threading.py-patch.txt otmarhumbel, 2009-05-19.22:53:23 patch which updates the active threads list on deletion
Messages
msg4682 (view) Author: july (julyzergcn) Date: 2009-05-14.05:09:10
please refer to the source code, you can compare Jython2.5rc2 with 
Python2.5 to find the difference output.
msg4683 (view) Author: Philip Jenvey (pjenvey) Date: 2009-05-15.00:27:49
This would be kind of nasty to ship with. If it's a straightforward fix 
it'd be nice if it'd make it for 2.5 Any takers?
msg4698 (view) Author: Oti Humbel (otmarhumbel) Date: 2009-05-19.22:53:23
The list of active threads does not get updated.
The attached patch (threading.py-patch.txt) fixes this.
Now checking regrtests.
msg4699 (view) Author: Oti Humbel (otmarhumbel) Date: 2009-05-19.23:53:49
the last patch breaks a test, threading needs the _active attribute
msg4700 (view) Author: Oti Humbel (otmarhumbel) Date: 2009-05-20.06:04:03
Fixed in r6358
(http://jython.svn.sourceforge.net/jython/?rev=6358&view=rev).

For testing, grab the latest /Lib/threading.py from trunk, or let me know 
if you need a snapshot build.
History
Date User Action Args
2009-05-20 06:04:55otmarhumbelsetstatus: open -> closed
resolution: fixed
messages: + msg4700
2009-05-19 23:53:51otmarhumbelsetmessages: + msg4699
2009-05-19 22:53:24otmarhumbelsetfiles: + threading.py-patch.txt
assignee: otmarhumbel
messages: + msg4698
2009-05-15 00:27:50pjenveysetpriority: high
nosy: + pjenvey, fwierzbicki, zyasoft, otmarhumbel
messages: + msg4683
2009-05-14 05:10:36julyzergcncreate